# Class CIM_BIOSElement
extends CIM_SoftwareElement

BIOSElement represents the low-level software that is loaded into non-volatile storage and used to bring up and configure a ComputerSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_SoftwareElement
|
+--CIM_BIOSElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | BIOSElement represents the low-level software that is loaded into non-volatile storage and used to bring up and configure a ComputerSystem.
UMLPackagePath | string | CIM::Application::BIOS
Version | string | 2.17.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CurrentLanguage | string |
Description | string | The currently selected language for the BIOS. This information can be obtained from SMBIOS, using the Current Language attribute of the Type 13 structure, to index into the string list following the structure. The property is formatted using the ISO 639 Language Name, and may be followed by the ISO 3166 Territory Name and the encoding method.
ModelCorrespondence | string | CIM_BIOSElement.ListOfLanguages
LoadedEndingAddress | uint64 |
Description | string | The ending address of the memory which this BIOS occupies.
MappingStrings | string | MIF.DMTF|System BIOS|001.6
LoadedStartingAddress | uint64 |
Description | string | The starting address of the memory which this BIOS occupies.
MappingStrings | string | MIF.DMTF|System BIOS|001.5
LoadUtilityInformation | string |
Description | string | A free form string describing the BIOS flash/load utility that is required to update the BIOSElement. Version and other information may be indicated in this property.
MappingStrings | string | MIF.DMTF|System BIOS|001.7
MaxLen | uint32 | 64
Manufacturer | string |
Description | string | Manufacturer of this SoftwareElement.
MappingStrings | string | MIF.DMTF|System BIOS|001.2
MaxLen | uint32 | 256
Override | string | Manufacturer
PrimaryBIOS | boolean |
Description | string | If true, this is the primary BIOS of the ComputerSystem.
MappingStrings | string | MIF.DMTF|System BIOS|001.9
ReleaseDate | datetime |
Description | string | Date that this BIOS was released.
MappingStrings | string | MIF.DMTF|System BIOS|001.8
Version | string |
Description | string | Software Version should be in the form <Major>.<Minor>.<Revision> or <Major>.<Minor><letter><revision>.
Key | boolean | true
MappingStrings | string | MIF.DMTF|System BIOS|001.3
MaxLen | uint32 | 64
Override | string | Version
ListOfLanguages | string[] |
Description | string | A list of installable languages for the BIOS. This information can be obtained from SMBIOS, from the string list that follows the Type 13 structure. An ISO 639 Language Name should be used to specify the BIOS' installable languages. The ISO 3166 Territory Name and the encoding method may also be specified, following the Language Name.
RegistryURIs | string[] |
Description | string | A string representing the publication location of the BIOS Attribute registry or registries the implementation complies to.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
BuildNumber | string | CIM_SoftwareElement
Caption | string | CIM_ManagedElement
CodeSet | string | CIM_SoftwareElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
IdentificationCode | string | CIM_SoftwareElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
LanguageEdition | string | CIM_SoftwareElement
Name | string | CIM_SoftwareElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherTargetOS | string | CIM_SoftwareElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
SerialNumber | string | CIM_SoftwareElement
SoftwareElementID | string | CIM_SoftwareElement
SoftwareElementState | uint16 | CIM_SoftwareElement
Status | string | CIM_ManagedSystemElement
TargetOperatingSystem | uint16 | CIM_SoftwareElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods